package main;

import java.awt.EventQueue;

import modelo.Modelo;
import vista.Vista;
import controlador.Controlador;

public class Lanzador {

	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					
					Modelo modelo = new Modelo();
					Vista vista = new Vista();
					Controlador controlador = new Controlador(vista, modelo);
					controlador.iniciar_vista();
					
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

}
