package vista;

import javax.swing.JButton;

import modelo.Carta;

public class BotonCarta extends JButton {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	public Carta carta;
	
	public BotonCarta(Carta c) {
		super(c.toString());
		carta = c;
		setToolTipText(c.toString());
	}
	
	public String getTexto(){
		return carta.toString();
	}
	
	public int getNumero(){
		return carta.getNumero();
	}
	
	public char getPalo(){
		return carta.getPalo();
	}
	
	public String toString() {
		
		return carta.toString();
	}

}
