package vista;
import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.GridLayout;

import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.UIManager;
import javax.swing.border.BevelBorder;

import modelo.Jugador;


public class PanelJugador extends JPanel {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	public JLabel lblIcono;
	public JLabel lblNombre;
	public JPanel panel, panel_1, panel_2, panel_3, panel_4, panel_5, panel_6, panel_7, panel_8;
	public JButton btnObjetivo;
	public JLabel lblIconoCartas;
	public JLabel lblReparto;
	

	/**
	 * Create the panel.
	 */
	public PanelJugador() {
		super();
		setBorder(new BevelBorder(BevelBorder.LOWERED, null, null, null, null));
		setBackground(new Color(0, 100, 0));
		setLayout(new GridLayout(3, 3, 0, 0));
		setSize(150,150);
		
		panel = new JPanel();
		panel.setBackground(new Color(0, 100, 0));
		add(panel);
		panel.setLayout(new BorderLayout(0, 0));
		
		lblIcono = new JLabel();
		lblIcono.setIcon(new ImageIcon(PanelJugador.class.getResource("/resources/pc.jpg")));
		panel.add(lblIcono, BorderLayout.NORTH);
		
		panel_1 = new JPanel();
		panel_1.setBackground(new Color(0, 100, 0));
		add(panel_1);
		panel_1.setLayout(new BorderLayout(0, 0));
		
		lblNombre = new JLabel("Jugador");
		panel_1.add(lblNombre, BorderLayout.CENTER);
		
		panel_2 = new JPanel();
		panel_2.setBackground(new Color(0, 100, 0));
		add(panel_2);
		
		panel_3 = new JPanel();
		panel_3.setBackground(new Color(0, 100, 0));
		add(panel_3);
		
		panel_4 = new JPanel();
		panel_4.setBackground(new Color(0, 100, 0));
		add(panel_4);
		
		lblIconoCartas = new JLabel("");
		lblIconoCartas.setToolTipText("");
		lblIconoCartas.setIcon(new ImageIcon(PanelJugador.class.getResource("/resources/reverso-baraja.jpg")));
		panel_4.add(lblIconoCartas);
		
		panel_5 = new JPanel();
		panel_5.setBackground(new Color(0, 100, 0));
		add(panel_5);
		
		lblReparto = new JLabel("0");
		lblReparto.setToolTipText("Cartas en la mano");
		panel_5.add(lblReparto);
		
		panel_6 = new JPanel();
		panel_6.setBackground(new Color(0, 100, 0));
		add(panel_6);
		
		panel_7 = new JPanel();
		panel_7.setBackground(new Color(0, 100, 0));
		add(panel_7);
		
		panel_8 = new JPanel();
		panel_8.setBackground(new Color(0, 100, 0));
		add(panel_8);
		 panel_8.setLayout(new BorderLayout(0, 0));
		
		 btnObjetivo = new JButton("X");
		 btnObjetivo.setVisible(false);
		panel_8.add(btnObjetivo, BorderLayout.CENTER);
		

	}
	
	public PanelJugador(Jugador jugador){
		super();
		lblNombre.setText(jugador.getNombre());
		
		if(jugador.getHumano())
			lblIcono.setIcon(new ImageIcon(PanelJugador.class.getResource("/resources/humano.jpg")));
	    else
	    	lblIcono.setIcon(new ImageIcon(PanelJugador.class.getResource("/resources/pc.jpg")));
			
			
		
	}
	public void inicializa(Jugador jugador){
		if(jugador.getHumano())
			lblIcono.setIcon(new ImageIcon(PanelJugador.class.getResource("/resources/humano.jpg")));
		else
			lblIcono.setIcon(new ImageIcon(PanelJugador.class.getResource("/resources/pc.jpg")));
		
		lblNombre.setText(jugador.getNombre());
		
		lblReparto.setText(""+jugador.getReparto().size());
	}
	
	public void setJugador(boolean activar){
		if(activar)
			setBorder(UIManager.getBorder("DesktopIcon.border"));
		else
			setBorder(new BevelBorder(BevelBorder.LOWERED, null, null, null, null));

	}
	
	public void setNumCartas(Jugador jugador){
		lblReparto.setText(""+jugador.size());
	}
	

}
